Bug 237717 - Dolphin 1.4 became extremly slow during a working session
Summary: Dolphin 1.4 became extremly slow during a working session
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-15 15:12 UTC by kastenlaus
Modified: 2010-11-21 10:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kastenlaus 2010-05-15 15:12:01 UTC
Application: dolphin (1.4)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.31-21-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
After intense "house keeping" of a large, personal data pool (copying, pasting, moving, renaming or correcting a lot of files, links and folders), Dolphin 1.4 became very, very slow and nearly inoperable, till i have closed it. After closing, this dialog came up. "top" command or the (dual)cpu-monitor-widget did not show any "appropriate" cpu-load and also the network trafic was low (it did not yet happen often).

The crash can be reproduced some of the time.

 -- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
[Current thread is 1 (Thread 0xb771e710 (LWP 4194))]

Thread 2 (Thread 0xb4dd5b70 (LWP 4198)):
#0  0x00c4477f in g_main_context_check () from /lib/libglib-2.0.so.0
#1  0x00c450ce in ?? () from /lib/libglib-2.0.so.0
#2  0x00c454b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0140160f in QEventDispatcherGlib::processEvents (this=0x8973bd8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x013d4059 in QEventLoop::processEvents (this=0xb4dd5290, flags=) at kernel/qeventloop.cpp:149
#5  0x013d44aa in QEventLoop::exec (this=0xb4dd5290, flags=...) at kernel/qeventloop.cpp:201
#6  0x012d05a8 in QThread::exec (this=0x897e3d0) at thread/qthread.cpp:487
#7  0x013b3c1b in QInotifyFileSystemWatcherEngine::run (this=0x897e3d0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x012d332e in QThreadPrivate::start (arg=0x897e3d0) at thread/qthread_unix.cpp:248
#9  0x003e296e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x00799a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb771e710 (LWP 4194)):
[KCrash Handler]
#6  0x061fcf00 in QList (this=0x8da5f40) at ../../include/QtCore/../../src/corelib/tools/qlist.h:114
#7  QTextFrame::childFrames (this=0x8da5f40) at text/qtextobject.cpp:443
#8  0x06211d1a in findChildFrame (this=0xb2efe008, pos=20) at text/qtextdocument_p.cpp:1337
#9  QTextDocumentPrivate::frameAt (this=0xb2efe008, pos=20) at text/qtextdocument_p.cpp:1361
#10 0x0623bf84 in QTextCursorPrivate::complexSelectionTable (this=0x9cf8bf0) at text/qtextcursor.cpp:654
#11 0x0623c88a in QTextCursorPrivate::remove (this=0x9cf8bf0) at text/qtextcursor.cpp:163
#12 0x0623e778 in QTextCursor::removeSelectedText (this=0x9879fc0) at text/qtextcursor.cpp:1534
#13 0x061d12e6 in QTextControlPrivate::startDrag (this=0x9879f68) at text/qtextcontrol.cpp:525
#14 0x061d74d7 in QTextControlPrivate::mouseMoveEvent (this=0x9879f68, buttons=..., mousePos=...) at text/qtextcontrol.cpp:1607
#15 0x061dbd1d in QTextControl::processEvent (this=0x97e83f8, e=0xbf96a200, matrix=..., contextWidget=0x999b738) at text/qtextcontrol.cpp:927
#16 0x061d0f00 in QTextControl::processEvent (this=0x97e83f8, e=0xbf96a200, coordinateOffset=..., contextWidget=0x999b738) at text/qtextcontrol.cpp:880
#17 0x0643e27b in QTextEditPrivate::sendControlEvent (this=0x967fec0, e=0xbf96a200) at widgets/qtextedit_p.h:99
#18 QTextEdit::mouseMoveEvent (this=0x967fec0, e=0xbf96a200) at widgets/qtextedit.cpp:1563
#19 0x05fbe69a in QWidget::event (this=0x967fec0, event=0xbf96a200) at kernel/qwidget.cpp:7983
#20 0x063bafd3 in QFrame::event (this=0x967fec0, e=0xbf96a200) at widgets/qframe.cpp:557
#21 0x06455382 in QAbstractScrollArea::viewportEvent (this=0x8aa95d9, e=0x80015) at widgets/qabstractscrollarea.cpp:1036
#22 0x06457c65 in QAbstractScrollAreaPrivate::viewportEvent (this=0x90be938, o=0x999b738, e=0xbf96a200) at widgets/qabstractscrollarea_p.h:100
#23 QAbstractScrollAreaFilter::eventFilter (this=0x90be938, o=0x999b738, e=0xbf96a200) at widgets/qabstractscrollarea_p.h:116
#24 0x013d4cda in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8547668, receiver=0x999b738, event=0xbf96a200) at kernel/qcoreapplication.cpp:819
#25 0x05f604b9 in QApplicationPrivate::notify_helper (this=0x8547668, receiver=0x999b738, e=0xbf96a200) at kernel/qapplication.cpp:4296
#26 0x05f679f7 in QApplication::notify (this=0xbf96aab4, receiver=0x999b738, e=0xbf96a200) at kernel/qapplication.cpp:3865
#27 0x076a2f2a in KApplication::notify (this=0xbf96aab4, receiver=0x999b738, event=0xbf96a200) at ../../kdeui/kernel/kapplication.cpp:302
#28 0x013d5a3b in QCoreApplication::notifyInternal (this=0xbf96aab4, receiver=0x999b738, event=0xbf96a200) at kernel/qcoreapplication.cpp:704
#29 0x05f66952 in QCoreApplication::sendEvent (receiver=0x999b738, event=0xbf96a200, alienWidget=0x999b738, nativeWidget=0x93b48f8, buttonDown=0x68a4058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#30 QApplicationPrivate::sendMouseEvent (receiver=0x999b738, event=0xbf96a200, alienWidget=0x999b738, nativeWidget=0x93b48f8, buttonDown=0x68a4058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#31 0x05ff2088 in QETWidget::translateMouseEvent (this=0x93b48f8, event=0xbf96a71c) at kernel/qapplication_x11.cpp:4368
#32 0x05ff1511 in QApplication::x11ProcessEvent (this=0xbf96aab4, event=0xbf96a71c) at kernel/qapplication_x11.cpp:3379
#33 0x0602060a in x11EventSourceDispatch (s=0x854cf40, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#34 0x00c415e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#35 0x00c452d8 in ?? () from /lib/libglib-2.0.so.0
#36 0x00c454b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#37 0x014015d5 in QEventDispatcherGlib::processEvents (this=0x85234a0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#38 0x06020135 in QGuiEventDispatcherGlib::processEvents (this=0x85234a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0x013d4059 in QEventLoop::processEvents (this=0xbf96aa14, flags=) at kernel/qeventloop.cpp:149
#40 0x013d44aa in QEventLoop::exec (this=0xbf96aa14, flags=...) at kernel/qeventloop.cpp:201
#41 0x013d869f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#42 0x05f60577 in QApplication::exec () at kernel/qapplication.cpp:3579
#43 0x0807bbcf in _start ()

Reported using DrKonqi
Comment 1 Christoph Feck 2010-06-26 03:18:10 UTC
I wonder where the QTextEdit comes from ...
Comment 2 Peter Penz 2010-11-21 10:54:03 UTC
Thanks for the report. I'm also wondering about QTextEdit... The backtrace does not give enough information to be able to reproduce the bug - I'm closing it as fixed, please reopen the issue if you still observe this behavior with a more recent version of Dolphin or if you observed how to reproduce the issue.